{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{          PostgreSql components registration            }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZPgSqlReg;

interface

{$IFNDEF LINUX}
{$INCLUDE ..\Zeos.inc}
{$ELSE}
{$INCLUDE ../Zeos.inc}
{$ENDIF}

{$IFNDEF LINUX}
{$INCLUDE ..\ZeosDef.inc}
{$ELSE}
{$INCLUDE ../ZeosDef.inc}
{$ENDIF}

procedure Register;

implementation

uses Classes, ZPgSqlCon, ZPgSqlTr, ZPgSqlQuery
{$IFDEF WITH_PROPEDIT}, ZPgSqlProp
     {$IFDEF VERCLX}
     ,DesignEditors, DesignIntf
     {$ELSE}
       {$IFDEF VER150ABOVE}
       ,DesignIntf, DesignEditors
       {$ELSE}
       ,DsgnIntf
       {$ENDIF}
     {$ENDIF}
{$ENDIF};

{ Register components in a component palette }
procedure Register;
begin
  RegisterComponents(ZEOS_DB_PALETTE, [TZZPgSqlDatabase]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZPgSqlDatabase, 'Database',
    TZZPgSqlDatabaseNameProperty);
{$ENDIF}

  RegisterComponents(ZEOS_DB_PALETTE, [TZZPgSqlTransact]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZPgSqlTable]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZPgSqlQuery]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZPgSqlNotify]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZPgSqlTable, 'TableName',
    TZZPgSqlTableNameProperty);
{$ENDIF}
end;

end.
